/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Matt Eagleson (e.Messiah@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __ARTICLE_LIST_H__
#define __ARTICLE_LIST_H__

extern article_data *current_article;
extern GdkColormap *cmap;
extern GdkColor read_color;
extern GdkColor unread_color;
extern GdkColor new_color;

extern GtkStyle *unread_style;
extern GtkStyle *read_style;
extern GtkStyle *new_style;

extern GSList* thread_articles ( GSList* list, group_data* gdata );

void set_node_image (article_data *);
GtkWidget* create_articlelist_ctree (void);
void articlelist_get_all (void);
void articlelist_select_all (void);
void articlelist_get_new (void);
void articlelist_free (GSList *);
void articlelist_update_node (article_data *);
void article_ctree_clean (void);
void articlelist_update (group_data *);
void articlelist_load (queue_data *);
void articlelist_clear (void);
void articlelist_find_text_cb (void);
void articlelist_find_next_cb (void);
int articlelist_count_unread (group_data *);
void articlelist_not_new (GSList *);

void articlelist_selected_download (void);
void articlelist_selected_decode (void);
void articlelist_selected_mark_read (void);
void articlelist_selected_mark_unread (void);
void articlelist_selected_delete (void);
void articlelist_selected_open (void);


void find_dialog_destroy_cb (void);
void find_article (const gchar *author, const gchar* subject, gboolean case_sensitive );
void find_dialog_clicked_cb (GnomeDialog *dialog, int button, GtkWidget *find_entry);
GtkCTreeNode* add_article_to_ctree (GtkCTreeNode* parent, article_data* adata);
int build_article_ctree_recursive (GtkCTreeNode* parent, GSList* list);



#endif /* __ARTICLE_LIST_H__ */
